/*
 * autotimer.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: autotimer.h 1.0 2004/04/05 13:36:00 hflor Exp $
 */

#ifndef __AUTOTIMER_H
#define __AUTOTIMER_H

#include <vdr/config.h>

// Global variables that control the overall behaviour:

extern char    plugin_name[MaxFileName];

// paramater used
extern int     u_commandline_preference;
extern char    u_autotimerfile[MaxFileName];
extern int     u_use_done;
extern int     u_mainmenu_visible;
extern char    u_mainmenu_name[MAXOSDWIDTH];
extern int     u_verbose;
extern int     u_show_flags;
extern int     u_show_startstop;
extern int     u_show_channel;
extern int     u_show_channelname;

extern const char * StartStopTime[];

int GetColumn(int selpos);
void DisplaySetings(void);

#endif //__AUTOTIMER_H
