/*
 * autotimer.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: menusetup.h 1.0 2004/04/05 13:36:00 hflor Exp $
 */

#ifndef __MENUSETUP_H
#define __MENUSETUP_H

#include <vdr/config.h>
#include <vdr/menuitems.h>
#include "autotimer.h"
#include "i18n.h"

// --- cMenuSetupAutoTimer -------------------------------------------------------

class cMenuSetupAutoTimer : public cMenuSetupPage {
private:
  int   show_setup;
  int   store;
  int   old_commandline_preference;
  char  old_autotimerfile[MaxFileName];
  int   old_use_done;
  int   old_mainmenu_visible;
  char  old_mainmenu_name[MAXOSDWIDTH];
  int   old_verbose;
  int   old_show_flags;
  int   old_show_channel;
  int   old_show_channelname;
  int   old_show_startstop;

protected:
  virtual void Store(void);
public:
  cMenuSetupAutoTimer(void);
  virtual ~cMenuSetupAutoTimer();
  virtual void Set(void);
  virtual eOSState ProcessKey(eKeys Key);
  };

#endif //__MENUSETUP_H
