/*
 * autotimer.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: i18n.c 1.0 2004/04/05 13:36:00 hflor Exp $
 */

#include "i18n.h"

const tI18nPhrase Phrases[] = {
  { "AutoTimer.Time$none",
    "keine",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Time$start Time",
    "Startzeit",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Time$stop Time",
    "Endzeit",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Time$both Times",
    "beide Zeiten",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "Autotimer.Edit$Edit Autotimer",
    "Autotimer bearbeiten",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Search Text",
    "Suchtext",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Search in Title",
    "Suche in Titel",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Search in Subtitle",
    "Suche in Untertitel",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Search in Description",
    "Suche in Beschreibung",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Use start/stop Time",
    "Benutzung Start/Ende",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$  Search start Time",
    "  Startzeit der Suche",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$  Search stop Time",
    "  Endzeit der Suche",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Use Channel select",
    "Senderwahl benutzen",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Folder for Record",
    "Ordner fr Aufnahme",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Series select",
    "Serienaufnahme",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Edit$Except repeat",
    "Wiederholung ausschlieen",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Error$Missing search text!",
    "Suchtext fehlt",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  // one letter for autotimer-list (Title)
  { "AutoTimer.Display1$T",
    "T",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  // one letter for autotimer-list (Subtitle)
  { "AutoTimer.Display2$T",
    "U",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  // one letter for autotimer-list (Description)
  { "AutoTimer.Display3$D",
    "B",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  // one letter for autotimer-list (Except repeat)
  { "AutoTimer.Display4$R",
    "W",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Display$AutoTimers",
    "Autotimer",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Display$Delete Autotimer?",
    "Autotimer lschen?",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Preferr Command Line Parameter",
    "Kommandozeile hat Vorrang",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Path for vdradmind.at",
    "Pfad zur vdradmind.at",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Except repeat Feature (bigpatch 0.9)",
    "Wiederholungsausschlu (Bigp. 0.9)",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Visible in Mainmenu",
    "Im Hauptmen sichtbar",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$  Name for Mainmenu",
    "  Eintragname im Hauptmen",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Verbose Log Mode",
    "Ausfhrliche Protokollierung",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Setup List Format",
    "Listenformat ndern",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$  Show Flags",
    "  Anzeige der Suchorte",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$  Show Channel",
    "  Anzeige Kanal",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$    Use Channelname",
    "    Kanalnamen verwenden",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$  Show start/stop Time",
    "  Anzeige Start-/Stopzeit",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { "AutoTimer.Setup$Edit Autotimer now",
    "Autotimer jetzt bearbeiten",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  // comment at end of setings (\n allowed)
  { "AutoTimer.Setup$For this plugin ist vdradmind requiered!\nIn the config of vdradmind must the autotimer-function be enabled.",
    "Fr dieses Plugin wird vdradmind bentigt!\nDort mu auch die Funktion fr den Auto-Timer eingeschaltet werden.",
    "",// TODO Slovenski
    "",// TODO Italiano
    "",// TODO Nederlands
    "",// TODO Portugus
    "",// TODO Franais
    "",// TODO Norsk
    "",// TODO suomi
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO Ellinika
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
  },
  { NULL }
  };
